#
# spec file for package gtkhtml (Version 0.12.0)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  audiofile bonobo bonobo-devel control-center control-center-devel esound esound-devel gal gal-devel gdk-pixbuf gdk-pixbuf-devel glib glib-devel gnome-libs gnome-libs-devel gnome-print gnome-print-devel gpp gtk gtk-devel imlib imlib-devel indent libghttp libghttp-devel libglade libglade-devel libgpp libjpeg libpng libtiff libunicode libxml libxml-devel oaf oaf-devel orbit orbit-devel popt xf86
# usedforbuild    aaa_base aaa_dir audiofile autoconf automake base bash bindutil binutils bison bonobo bonobo-devel bzip compress control-center control-center-devel cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs esound esound-devel file fileutils findutils flex gal gal-devel gawk gcc gdbm gdbm-devel gdk-pixbuf gdk-pixbuf-devel gettext glib glib-devel glibc glibc-devel gnome-libs gnome-libs-devel gnome-print gnome-print-devel gpm gpp gppshare grep groff gtk gtk-devel gzip imlib imlib-devel indent kbd less libghttp libghttp-devel libglade libglade-devel libgpp libjpeg libpng libtiff libtool libunicode libxml libxml-devel libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg oaf oaf-devel orbit orbit-devel pam pam-devel patch perl popt ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim xdevel xf86 xshared

Name:         gtkhtml
%define prefix /opt/gnome
%define sysconfdir /etc%{prefix}
Copyright:    GPL
Group:	      X11/GNOME/Development
Autoreqprov:  on
Version:      0.12.0
Release:      32
Summary:      A Gtk+-component to render HTML
BuildRoot:    /var/tmp/gtkhtml-%{version}-build
Source:	      gtkhtml-%{version}.tar.bz2
Patch:	      gtkhtml-%{version}.dif

%description
With this component an application can directly render HTML in its
userinterface.

Authors:
--------
    Torben Weis <weis@stud.uni-frankfurt.de>
    Josip A. Gracin <grac@fly.cc.fer.hr>
    Martin Jones <mjones@kde.org>
    Anders Carlsson <andersca@gnu.org> (initial KHTMLW port)
    Ettore Perazzoli <ettore@helixcode.com> (generic hacking, editing)
    Jonas Borgstrm <jonas_b@bitsmart.com> (form support)
    Radek Doulik <rodo@helixcode.com> (bug fixes)
    Larry Ewing <lewing@helixcode.com> (bug fixes)
    Miguel de Icaza <miguel@helixcode.com> (HTMLPainter)
    Ariel Rios <jarios@usa.net>
    Havoc Pennington <hp@pobox.com>
    Elliot Lee <sopwith@redhat.com>
    Richard Hult <rhult@hem.passagen.se>
    Martijn van Beers <martijn@earthling.net>

SuSE series: gnm

%prep
%setup -q 
%patch

%build
%{?suse_update_config:%{suse_update_config -f}}
CFLAGS="$RPM_OPT_FLAGS" \
./configure --prefix=%{prefix} --with-gnome=/opt/gnome \
            --mandir=%{_mandir} --infodir=%{_infodir} \
            --sysconfdir=%{sysconfdir}
make -s 

%install
make -s install prefix=$RPM_BUILD_ROOT%{prefix} \
	sysconfdir=$RPM_BUILD_ROOT%{sysconfdir}

%clean 
rm -r $RPM_BUILD_ROOT

%files
%doc AUTHORS COPYING README NEWS ChangeLog 
%{sysconfdir}/CORBA/servers/*
%{prefix}/bin/*
%{prefix}/lib/bonobo/plugin/*.*so
%{prefix}/lib/*.*so.*
%{prefix}/share/control-center/Documents/*
%{prefix}/share/gnome/apps/Settings/Documents/*
%{prefix}/share/gnome/html/*
%{prefix}/share/gnome/ui/*
%{prefix}/share/gtkhtml
%{prefix}/share/locale/*/*/*
%{prefix}/share/oaf/*
%package devel
Summary:      The development packages to gtkhtml
Group:	      X11/GNOME/Development
Autoreqprov:  on

%description devel
These is the necessary package for developping with gtkhtml. See there...

SuSE series: gnm


%files devel
%docdir %{prefix}/share/doc/packages/gtkhtml
%{prefix}/include/*
%{prefix}/lib/bonobo/plugin/*.*a*
%{prefix}/lib/*.*a*
%{prefix}/lib/*.*so
%{prefix}/lib/gtkhtmlConf.sh

%changelog -n gtkhtml
* Thu Sep 06 2001 - hhetter@suse.de
- removed duplicated capplet for HTML-Viewer-Settings in
  gnomec-control-center
* Tue Sep 04 2001 - egger@suse.de
- Updated to 0.12.0. Fixes some nits in 0.11.1.
- Verified filelist.
* Sat Sep 01 2001 - schwab@suse.de
- Fix conflicting declaration.
* Fri Aug 03 2001 - hhetter@suse.de
- updated to 0.11.1
* Sat Jul 21 2001 - egger@suse.de
- Updated to version 0.10.1.
- Misc cleanups.
* Wed Jun 27 2001 - hhetter@suse.de
- added gal-devel to neededforbuild
* Tue Jun 05 2001 - ro@suse.de
- update to 0.9.3
* Mon Mar 19 2001 - hhetter@suse.de
- Update to version 0.8.3
* Thu Mar 01 2001 - egger@suse.de
- Updated to version 0.8.2.
- Misc cleanups.
* Sun Feb 25 2001 - egger@suse.de
- Remove unnecessary dependencies from #neededforbuild,
  especially imlib-config.
* Tue Jan 30 2001 - ro@suse.de
- changed neededforbuild <imlibcfe> to <imlib-config>
* Sat Dec 23 2000 - egger@suse.de
- Updated to 0.8. Bugfix release.
- Changed compression to bzip2.
- Cleaned up specfile and use RPM_OPT_FLAGS now.
* Wed Nov 08 2000 - ro@suse.de
- disabled components/html-editor to make it build
* Tue Nov 07 2000 - ro@suse.de
- fixed neededforbuild: add esound-devel
* Wed Nov 01 2000 - egger@suse.de
- Updated specfile to new long packagenames.
- Reworked specfile.
- Probably needs some more work; I'm taking care of that.
* Tue Oct 24 2000 - egger@suse.de
- Updated to version 0.7.
- Fixed specfile.
* Sun Sep 24 2000 - egger@suse.de
- Use the splitted oafdev in #neededforbuild.
* Thu Sep 21 2000 - egger@suse.de
- Use BuildRoot.
- Simplified specfile.
- Buildproofed on i386.
* Wed Sep 20 2000 - egger@suse.de
- fixed the gtk-html-editor build and the filelist.
- Buildproofed on i386.
* Wed Sep 13 2000 - ro@suse.de
- changed prefix to /opt/gnome
* Tue Sep 12 2000 - ro@suse.de
- fixed include-path for gome-idl
* Tue Sep 12 2000 - ro@suse.de
- fixed neededforbuild (tested)
* Mon Sep 11 2000 - egger@suse.de
- More additions to #neededforbuild
* Mon Sep 11 2000 - egger@suse.de
- Whyever gtkhtml wants a c++ compiler... we have it. :)
* Mon Sep 11 2000 - egger@suse.de
- More buildsystem dependencies.
* Sun Sep 10 2000 - egger@suse.de
- Added some dependencies.
* Thu Aug 31 2000 - egger@suse.de
- Initial SuSE package
